### Method

# Gdk FrameClock get_frame_counter

#### Declaration [src]

    gint64
    gdk_frame_clock_get_frame_counter (
      GdkFrameClock* frame_clock
    )

#### Description [src]

`GdkFrameClock` maintains a 64-bit counter that increments for each frame drawn.

#### Return value

Returns: | `gint64`
| Inside frame processing, the value of the frame counter for the current frame. Outside of frame processing, the frame counter for the last frame.